<?php
if(!defined('ABSPATH')){ exit; }

function epcl_welcome_page() {
    $lb_update_data = null;
    $theme = wp_get_theme( EPCL_THEMESLUG );
    $base_config = array(
        'theme_name' => $theme->name,
        'theme_version' => $theme->version,
        'subscribe_url' => 'http://eepurl.com/dxHIUz',
        'docs_url' => 'https://themes.estudiopatagon.com/docs/'.EPCL_THEMESLUG.'-wp/',
        'support_url' => 'https://www.rtl-theme.com/maktub-blog-wordpress-theme/support/',
        'customizer_url' => admin_url( 'admin.php?page=epcl-theme-options' ),
        'php_max_input_vars' => 'https://configwp.ir/max-input-vars/',
        'php_max_execution_time' => 'https://mizbanfa.net/blog/cms/wordpress/fix-maximum-execution-time-exceeded-in-wordpress/',
        'php_max_memory' => 'https://www.rtl-theme.com/blog/increasing-php-memory-limit/'
    );
    $lbapi = new LicenseBoxAPI();
    $license_file = get_option( EPCL_THEMESLUG . '_license_key_file');
    if( !$lbapi->check_local_license_exist() && $license_file != '' ){
        $lbapi->create_license( false, false, $license_file );  
    }
    $lb_verify_res = $lbapi->verify_license( true );

    // delete_transient('licensebox_next_update_check');
    if(false === ($lb_update_res = get_transient('licensebox_next_update_check'))){
        $lb_update_data = $lbapi->check_update();
        set_transient('licensebox_next_update_check', $lb_update_data, 24*HOUR_IN_SECONDS);
    }
    $lb_update_data = get_transient('licensebox_next_update_check');

    ?>

    <div class="wrap about-wrap vlt-dashboard">

        <h1>قالب <?php echo $base_config['theme_name'].' نسخه '.$base_config['theme_version']; ?></h1>
        <div class="about-text">بابت خرید قالب مکتوب از شما متشکریم! جهت دریافت پشتیبانی می توانید از طریق سایت <a href="https://www.rtl-theme.com/maktub-blog-wordpress-theme/support/" target="_blank"><strong>راست چین</strong></a> اقدام بفرمایید. همچنین اگر از کیفیت قالب و پشتیبانی راضی هستید، با امتیاز 5 ستاره از تیم ما حمایت کنید.</div>
        <div class="wp-badge"></div>

        <div class="epcl-dashboard-buttons">
            <!--<a href="<?php echo $base_config['subscribe_url']; ?>" target="_blank" class="button button-primary">Subscribe!</a>-->
            <a href="https://webdev-demo.ir/documents/maktub" target="_blank" class="button button-secondary">فایل راهنمای قالب</a>
            <a href="<?php echo $base_config['customizer_url']; ?>" target="" class="button button-secondary">شروع سفارشی سازی</a>
            <a href="https://www.rtl-theme.com/maktub-blog-wordpress-theme/support/" target="_blank" class="button button-secondary">دریافت پشتیبانی</a>
            <a href="https://www.rtl-theme.com/author/web-developer/products/" target="_blank" class="button button-primary">سایر محصولات ما!</a>
        </div>

        <div class="clear"></div>

        <div class="about-text">
            <p class="description">راست چین و فارسی سازی شده توسط <a href="https://www.rtl-theme.com/author/web-developer/products/" target="_blank">توسعه دهنده وب</a>، جهت ارائه در سایت راست چین.</p>
        </div>

        <!-- start: .epcl-system -->
        <div class="epcl-system">
            <h3>سایر محصولات ما</h3>
            <table class="system-status-table widefat">
                <tbody>
                    <tr>
                        <td><a target="_blank" href="https://www.rtl-theme.com/harika-wordpress-theme/">قالب خبری، مجله ای و وبلاگی ایرانی هاریکا</a></td>
                    </tr>
                    <tr>
                        <td><a target="_blank" href="https://www.rtl-theme.com/author/web-developer/products/">قالب چندمنظوره و شرکتی ایرانی پارسیان</a></td>
                    </tr>
                </tbody>		
            </table>
        </div>
        <!-- end: .epcl-system -->

        <!-- start: .epcl-system -->
        <div class="epcl-system alignright">
            <h3>وضعیت سیستم</h3>
            <table class="system-status-table widefat">
                <tbody>
                    <tr>
                        <td>نسخه وردپرس</td>
                        <td><?php bloginfo('version'); ?></td>
                    </tr>
                    <tr>
                        <td>زبان</td>
                        <td><?php echo get_locale() ?></td>
                    </tr>
                    <tr>
                        <td>نسخه PHP</td>
                        <td>
                            <?php
                            $php_version = phpversion();
                            if ( version_compare( $php_version, '7.0', '<' ) ) {
                                echo '<mark class="error">برای کارآمد و امنیت بالا مورد نیاز است که از نسخه PHP 7.0 به بالا استفاده کنید.</mark>';
                            } else {
                                echo '<mark class="green">' . esc_html( $php_version ) . '</mark>';
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td>محدودیت حافظه وردپرس</td>
                        <td>
                            <?php
                            $memory = epcl_let_to_num( WP_MEMORY_LIMIT );
                            if ( $memory < 268435456 ) {
                                echo '<mark class="error">مقدار وردپرس: '. WP_MEMORY_LIMIT .'<br>مورد نیاز است که محدودیت حافظه خود را حداقل روی 256M تنظیم کنید. <br><a href="'.$base_config['php_max_memory'].'" target="_blank" rel="nofollow">نحوه افزایش حافظه</a></mark>';
                            } else {
                                echo '<mark class="green">' . size_format( $memory ) . '</mark>';
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td>حداکثر زمان اجرای PHP</td>
                        <td>
                            <?php
                            $max_input = ini_get('max_execution_time');
                            if ( $max_input < 300 ) {
                                echo '<mark class="error">مقدار سرور: '.$max_input.'<br>مورد نیاز است که max_execution_time خود را حداقل روی 300 تنظیم کنید.</mark><br><a href="'.$base_config['php_max_execution_time'].'" target="_blank">نحوه افزایش max_execution_time.</a>';
                            } else {
                                echo '<mark class="green">' . $max_input . '</mark>';
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td>حداکثر متغیر های ورودی PHP: </td>
                        <td>
                            <?php
                            $max_input = ini_get('max_input_vars');
                            if ( $max_input < 1000 ) {
                                echo '<mark class="error">مقدار سرور: '. $max_input .'<br>مورد نیاز است که max_input_vars حداقل روی 1000 تنظیم شود.</mark><br><a href="'.$base_config['php_max_input_vars'].'" target="_blank">نحوه افزایش max_input_vars.</a>';
                            } else {
                                echo '<mark class="green">' . $max_input . '</mark>';
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td>اطلاعات سرور</td>
                        <td><?php echo esc_html( $_SERVER['SERVER_SOFTWARE'] ); ?></td>
                    </tr>

                </tbody>		
            </table>
        </div>
        <!-- end: .epcl-system -->

    </div>

    <?php
}