<?php
$wp_include = "../../../wp-load.php";
$i = 0;
while (!file_exists($wp_include) && $i++ < 10) {
  $wp_include = "../$wp_include";
}
// load WordPress
require($wp_include);
// check for rights
if ( !is_user_logged_in() && !current_user_can('edit_pages') && !current_user_can('edit_posts') ){
    wp_die( __("You are not allowed to be here", "epcl_framework") );
}	
global $wpdb;
$directory_uri = EPCL_PLUGIN_URL.'shortcodes';
require_once('../fontawesome.php');
$fa_icons = epcl_fontawesome_icons();
$version = '1.6';
?>
<html>
<head>
    <title>EstudioPatagon Shortcodes</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $directory_uri; ?>/dist/lightbox.min.css?v=<?php echo $version; ?>" media="all" />
    <link rel="stylesheet" type="text/css" href="<?php echo includes_url(); ?>css/dashicons.min.css" media="all" />
    <link rel='stylesheet' id='csf-fa-css' href='https://cdn.jsdelivr.net/npm/font-awesome@4.7.0/css/font-awesome.min.css?ver=4.7.1' type='text/css' media='all' />

    <script src="<?php echo includes_url(); ?>js/tinymce/tiny_mce_popup.js"></script>
    <script src="<?php echo includes_url(); ?>js/jquery/jquery.js"></script>
    <script src="<?php echo includes_url(); ?>js/colorpicker.min.js"></script>
    <script src="<?php echo $directory_uri; ?>/js/select2.min.js"></script>
    <script src="<?php echo $directory_uri; ?>/js/lightbox.js?v=<?php echo $version; ?>"></script>
    
</head>
<body>
	<div id="epcl-shortcodes-form">
        <!-- start: .sidebar -->
		<div class="sidebar">
			<span class="form-title"><img src="<?php echo $directory_uri; ?>/images/lightbox-icon.png"><?php esc_html_e('Shortcodes', 'epcl_framework'); ?></span>
			<ul class="tab-selector">
				<li class="button active" data-tab="button"><a href="#"><i class="dashicons dashicons-admin-links"></i> دکمه</a></li>
				<li class="icon" data-tab="icon"><a href="#"><i class="dashicons dashicons-star-filled"></i> آیکن</a></li>
				<li class="columns" data-tab="columns"><a href="#"><i class="dashicons dashicons-screenoptions"></i> ستون ها</a></li>
				<li class="box" data-tab="box"><a href="#"><i class="dashicons dashicons-info"></i> جعبه / هشدار</a></li>
				<li class="toggle" data-tab="toggle"><a href="#"><i class="dashicons dashicons-image-flip-vertical"></i> تغییر وضعیت</a></li>
                <li class="accordion" data-tab="accordions"><a href="#"><i class="dashicons dashicons-image-flip-vertical"></i> آکاردیون</a></li>
                <li class="tabs" data-tab="tabs"><a href="#"><i class="dashicons dashicons-excerpt-view"></i> تب ها</a></li>
			</ul>
        </div>
        <!-- end: .sidebar -->
        <!-- start: .tabs-container -->
		<div class="tabs-container">

            <!-- start: #button -->
			<div id="button" class="tab" style="display: block;">
                <form>
                    <h2>افزودن دکمه</h2>
                    <div class="ep-shortcodes-form-fields">
                        <table cellpadding="0" cellspacing="0">
                            <tr>
                                <th><label>برچسب</label></th>
                                <td><input type="text" name="label" class="inputbox"></td>
                            </tr>
                            <tr>
                                <th><label>نشانی</label></th>
                                <td><input type="url" name="url" placeholder="http://www.google.com" class="inputbox"><span class="tip">http:// را فراموش نکنید</span></td>
                            </tr>
                            <tr>
                                <th><label>نوع</label></th>
                                <td>
                                    <select name="type" class="inputbox">
                                        <option value="outline">خطی</option>
                                        <option value="flat">تخت</option>
                                        <option value="glow">روشن</option>
                                        <option value="gradient">گرادیان</option>                                        
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <th><label>رنگ</label></th>
                                <td>
                                    <select name="color" class="inputbox">
                                        <option value="red">قرمز</option>
                                        <option value="orange">نارنجی</option>
                                        <option value="yellow">زرد</option>
                                        <option value="green">سبز</option>
                                        <option value="light-blue">آبی روشن</option>
                                        <option value="blue">آبی</option>
                                        <option value="purple">بنفش</option>
                                        <option value="dark">مشکی</option>
                                        <option value="gray">خاکستری</option>
                                        <option value="white">سفید</option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <th><label>اندازه</label></th>
                                <td>
                                    <select name="size" class="inputbox">
                                        <option value="extra-small">خیلی کوچک</option>
                                        <option value="small">کوچک</option>
                                        <option value="regular" selected="selected">معمولی</option>
                                        <option value="large">بزرگ</option>
                                        <option value="extra-large">خیلی بزرگ</option>
                                        <option value="fluid">سیال</option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <th><label>آیکن</label></th>
                                <td>
                                    <select name="icon" class="select2 icon inputbox">
                                        <option value="">انتخاب آیکن</option>
                                        <?php foreach($fa_icons as $fa): ?>
                                            <option value="<?php echo $fa; ?>"><i class="fa <?php echo $fa; ?>"></i> <?php echo $fa; ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                    <span class="tip">فونت آیکون های: <a href="https://fontawesome.com/v4.7.0/icons/" target="_blank">Font Awesome</a></span>
                                </td>
                            </tr>
                            <tr>
                                <th><label>لینک باز شود در</label></th>
                                <td>
                                    <!-- <select fieldname="target">
                                        <option value="_self">Current Tab/Window</option>
                                        <option value="_blank">New Tab/Window</option>
                                    </select> -->
                                    <label class="radio"><input type="radio" name="target" value="_self" checked class="radio"> تب/پنجره فعلی</label>
                                    <label class="radio"><input type="radio" name="target" value="_blank" class="radio"> تب/پنجره جدید</label>
                                    
                                </td>
                            </tr>
                            <tr>
                                <th><label>ارتباط</label></th>
                                <td>
                                    <label class="radio"><input type="radio" name="rel" value="dofollow" checked class="radio"> دو فالو</label>
                                    <label class="radio"><input type="radio" name="rel" value="nofollow" class="radio"> نو فالو</label>
                                    
                                </td>
                            </tr>
                        </table>
                    </div>
                    <input type="submit" style="display:none">
                </form>
            </div>
            <!-- end: #button -->
            
            <!-- start: #icon -->
			<div id="icon" class="tab">
                <form>
                    <h2>افزودن آیکن</h2>
                    <div class="ep-shortcodes-form-fields">
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <th><label>آیکن</label></th>
                            <td>
                                <select name="icon" class="select2 icon inputbox">
                                    <option value="">انتخاب آیکن</option>
                                    <?php foreach($fa_icons as $fa): ?>
                                        <option value="<?php echo $fa; ?>"><i class="fa <?php echo $fa; ?>"></i> <?php echo $fa; ?></option>
                                    <?php endforeach; ?>
                                </select>
                                <span class="tip">فونت آیکن های: <a href="https://fontawesome.com/v4.7.0/icons/" target="_blank">Font Awesome</a></span>
                            </td>
                        </tr>
                        <tr>
                            <th><label>اندازه <small>(به پیکسل)</small></label></th>
                            <td><input type="number" value="16" id="font-size1" name="size" style="width: 80px;" step="1" min="10" max="99" required>
                            <span class="tip">مقدار بین 10px تا 99px. پیش فرض: 16px.</span></td>
                        </tr>
                        <tr>
                            <th><label>رنگ</label></th>
                            <td>
                            <input type="text" name="color" value="" required>
                            <span class="tip">مثال: #000000</span></td>
                            </td>
                        </tr>
                    </table>
                    </div>
                    <input type="submit" style="display:none">
                </form>
            </div>
            <!-- end: #icon -->        

            <!-- start: #columns -->
			<div id="columns" class="tab" data-item="col">
                <form>
                    <h2>افزودن ستون</h2>
                    <div class="ep-shortcodes-form-fields">
                        <table cellpadding="0" cellspacing="0">
                            <tr>
                                <td colspan="2">
                                    <div class="column-structures">
                                        <label>ساختار ستونی را انتخاب کنید</label>
            <a href="#" class="active" split="50|50"><span style="width:50%"><i>½</i></span><span style="width:50%"><i>½</i></span></a>
            <div class="clearfix"></div>
            <a href="#" split="33|33|33"><span style="width:33%"><i>&frac13;</i></span><span style="width:33%"><i>&frac13;</i></span><span style="width:33%"><i>&frac13;</i></span></a>
            <a href="#" split="66|33"><span style="width:67%"><i>&frac23;</i></span><span style="width:33%"><i>&frac13;</i></span></a>
            <a href="#" split="33|66"><span style="width:33%"><i>&frac13;</i></span><span style="width:67%"><i>&frac23;</i></span></a>
            <div class="clearfix"></div>
            <a href="#" split="25|25|25|25"><span style="width:25%"><i>¼</i></span><span style="width:25%"><i>¼</i></span><span style="width:25%"><i>¼</i></span><span style="width:25%"><i>¼</i></span></a>
            <a href="#" split="50|25|25"><span style="width:50%"><i>½</i></span><span style="width:25%"><i>¼</i></span><span style="width:25%"><i>¼</i></span></a>
            <a href="#" split="25|25|50"><span style="width:25%"><i>¼</i></span><span style="width:25%"><i>¼</i></span><span style="width:50%"><i>½</i></span></a>
            <a href="#" split="25|50|25"><span style="width:25%"><i>¼</i></span><span style="width:50%"><i>½</i></span><span style="width:25%"><i>¼</i></span></a>
                                        <input style="display:none" type="text" name="structure" value="50|50" />
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <th><label>ستون 1</label></th>
                                <td>
                                    <textarea name="item[0][content]"></textarea>
                                    <input type="hidden" name="item[0][width]" value="50">
                                </td>
                            </tr>
                            <tr>
                                <th><label>ستون 2</label></th>
                                <td>
                                    <textarea name="item[1][content]"></textarea>
                                    <input type="hidden" name="item[1][width]" value="50">
                                </td>
                            </tr>
                            <tr>
                                <th><label>ستون 3</label></th>
                                <td>
                                    <textarea name="item[2][content]" disabled></textarea>
                                    <input type="hidden" name="item[2][width]" value="25">
                                </td>
                            </tr>
                            <tr>
                                <th><label>ستون 4</label></th>
                                <td>
                                    <textarea name="item[3][content]" disabled></textarea>
                                    <input type="hidden" name="item[3][width]" value="25">
                                </td>
                            </tr>
                        </table>
                    </div>
                    <input type="submit" style="display:none">
                </form>
            </div>
            <!-- end: #columns -->
            
             <!-- start: #box -->
			<div id="box" class="tab">
                <form>
                    <h2>افزودن جعبه/هشدار</h2>
                    <div class="ep-shortcodes-form-fields">
                        <table cellpadding="0" cellspacing="0">
                            <tr>
                                <th><label>نوع</label></th>
                                <td>
                                    <select name="type">
                                        <option value="error">خطا</option>
                                        <option value="success">موفقیت</option>
                                        <option value="notice">اعلان</option>
                                        <option value="information">اطلاعات</option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <th><label>متن</label></th>
                                <td><textarea name="content"></textarea></td>
                            </tr>
                        </table>
                    </div>
                    <input type="submit" style="display:none">
                </form>
            </div>
            <!-- end: #box -->

            <!-- start: #toggle -->
			<div id="toggle" class="tab">
                <form>
                    <h2>افزودن تغییر وضعیت</h2>
                    <div class="ep-shortcodes-form-fields">
                        <table cellpadding="0" cellspacing="0">
                            <tr>
                                <th><label>عنوان</label></th>
                                <td><input type="text" name="title" /></td>
                            </tr>
                            <tr>
                                <th><label>متن</label></th>
                                <td><textarea name="content"></textarea></td>
                            </tr>
                            <tr>
                                <th><label>کلاس سفارشی</label></th>
                                <td><input type="text" name="custom_class" /></td>
                            </tr>
                            <tr>
                                <th><label>در بارگذاری صفحه</label></th>
                                <td>
                                    <select name="show">
                                        <option value="closed">بسته نشان بده</option>
                                        <option value="opened">باز نشان بده</option>
                                    </select>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <input type="submit" style="display:none">
                </form>
            </div>
            <!-- end: #toggle -->
            
            <!-- start: #accordions -->
			<div id="accordions" class="tab" data-item="accordion">
                <form>
                    <h2>افزودن آکاردیون</h2>
                    <div class="ep-shortcodes-form-fields">
                        <table cellpadding="0" cellspacing="0">
                            <tr>
                                <th><label>تغییر وضعیت 1</label></th>
                                <td>
                                    <label>عنوان</label><input type="text" value="" name="item[0][title]">
                                    <label>متن</label><textarea name="item[0][content]"></textarea>                               
                                    <label>کلاس سفارشی</label>
                                    <input type="text" name="item[0][custom_class]" />                            
                                </td>
                            </tr>
                            <tr>
                                <th><label>تغییر وضعیت 2</label></th>
                                <td>
                                    <label>عنوان</label><input type="text" value="" name="item[1][title]">
                                    <label>متن</label><textarea name="item[1][content]"></textarea>
                                    <label>کلاس سفارشی</label>
                                    <input type="text" name="item[1][custom_class]" />  
                                </td>
                            </tr>
                            <tr>
                                <th><label>تغییر وضعیت 3</label></th>
                                <td>
                                    <label>عنوان</label><input type="text" value="" name="item[2][title]">
                                    <label>متن</label><textarea name="item[2][content]"></textarea>
                                    <label>کلاس سفارشی</label>
                                    <input type="text" name="item[2][custom_class]" />  
                                </td>
                            </tr>
                        </table>
                    </div>
                    <input type="submit" style="display:none">
                </form>
            </div>
            <!-- end: #accordion -->
            
            <!-- start: #tabs -->
			<div id="tabs" class="tab" data-item="tab">
                <form>
                    <h2>افزودن تب ها</h2>
                    <div class="ep-shortcodes-form-fields">
                        <table cellpadding="0" cellspacing="0">
                            <!-- <tr>
                                <th><label>Mode</label></th>
                                <td>
                                    <select fieldname="mode">
                                        <option value="horizontal">Horizontal</option>
                                        <option value="vertical">Vertical</option>
                                    </select>
                                </td>
                            </tr> -->
                            <tr>
                                <th><label>تب 1</label></th>
                                <td><label>برچسب</label><input type="text" value="" fieldname="label" name="item[0][title]" />
                                <label>متن</label><textarea fieldname="content" name="item[0][content]"></textarea></td>
                            </tr>
                            <tr>
                                <th><label>تب 2</label></th>
                                <td><label>برچسب</label><input type="text" value="" fieldname="label" name="item[1][title]" />
                                <label>متن</label><textarea fieldname="content" name="item[1][content]"></textarea></td>
                            </tr>
                            <tr>
                                <th><label>تب 3</label></th>
                                <td><label>برچسب</label><input type="text" value="" fieldname="label" name="item[2][title]" />
                                <label>متن</label><textarea fieldname="content" name="item[2][content]"></textarea></td>
                            </tr>
                        </table>
                    </div>
                    <input type="submit" style="display:none">
                </form>
            </div>
            <!-- end: #tabs -->

        </div>
        <!-- end: .tabs-container -->
        
        <!-- start: .actions -->
		<div class="actions">
			<input style="display:none" id="ep-shortcodes-form-type" value="button" />
			<textarea style="display:none" id="shortcode-content"></textarea>
            <input type="button" id="cancel-button" value="<?php esc_attr_e('Cancel', 'epcl_framework'); ?>" onClick="tinyMCEPopup.close();">
			<input type="submit" id="insert-button" value="<?php esc_attr_e('Insert Shortcode', 'epcl_framework'); ?>">
        </div>
        <!-- end: .actions -->
    </div>
</body>
</html>