<?php


/* Text Mode Settings */

CSF::createSection( $opt_name, array(
    'id' => 'text_mode',
    'title' => esc_html__('Text Mode', 'epcl_framework'),
    'subtitle' => esc_html__('Default: Inherit', 'epcl_framework'),
    'icon' => 'fa fa-paint-brush',
    'fields' => array(
        array(
			'id' => 'title_text_mode',
            'type' => 'subheading',
            'notice' => false,
            'title' => __('Important Information:', 'epcl_framework'),
            'subtitle' => __( 'This section will help you enable Text Mode globally (for all articles in your website), please note the text mode will <b>affect only the featured image</b>. All images inside single post content will remain without changes.', 'epcl_framework'),
		),
        array(
			'id' => 'theme_mode',
			'type' => 'button_set',
			'title' => esc_html__('Global Theme Mode', 'epcl_framework'),
			'subtitle' => esc_html__('Default: Inherit', 'epcl_framework'),
			'desc' => __('این یک گزینه جهانی (شامل آواتار نظرات) است، بنابراین هر تنظیم مقاله را لغو می کند. اگر می‌خواهید همه مقاله‌های خود را در حالت نوشتاری نمایش دهید مفید است.
                <br><b>توجه: </b>
                اگر می‌خواهید حالت متن را در <b>«فقط فهرست‌های پست»</b> اجباری کنید، <b> را علامت بزنید. در عوض گزینه طرح بندی وبلاگ -> پست های کلاسیک/گرید</b>.
                <br><b>توجه 2: </b>
                این گزینه <b>آواتار نویسنده پست</b> را حذف نمی کند (اگر می خواهید گزینه زیر را علامت بزنید حالت متنی اجباری برای آنها).', 'epcl_framework'),
			'options' => array(
			    'inherit' => 'ارث بری',
			    'image' => 'تصویر (اگر موجود است)',
			    'text' => 'متن (فقط در حالت متن)'
			),
			'default' => 'inherit'
		),
        array(
			'id' => 'author_avatar_mode',
			'type' => 'button_set',
			'title' => esc_html__('حالت آواتار نویسنده', 'epcl_framework'),
			'subtitle' => esc_html__('Default: Inherit', 'epcl_framework'),
			'desc' => __('این یک گزینه جهانی است، بنابراین هر تنظیم آواتار نویسنده را لغو می کند. اگر می‌خواهید حالت متن یا تصویر را برای همه <b>نویسندگان، ویراستاران یا همکاران</b> خود اجباری کنید، مفید است.', 'epcl_framework'),
			'options' => array(
			    'inherit' => 'ارث بری',
			    'image' => 'تصویر (اگر موجود است)',
			    'text' => 'متن (فقط در حالت متن)'
			),
			'default' => 'inherit'
		),
        array(
			'id' => 'comments_mode',
			'type' => 'button_set',
			'title' => esc_html__('Comments Mode', 'epcl_framework'),
			'subtitle' => esc_html__('Default: Inherit', 'epcl_framework'),
			'desc' => __('این فقط برای یک پست کار می کند (نظرات میزبانی شده توسط خود به استثنای آواتار نویسنده پست).<br>به طور پیش فرض <b>شخص اسرارآمیز</b> آواتار نمایش داده می شود، اگر "متن" انتخاب شود، اولین حرف نویسنده نظر نمایش داده می شود. مورد استفاده قرار گیرد.', 'epcl_framework'),
			'options' => array( 
			    'image' => 'تصویر (گراواتار)',
			    'text' => 'متن (فقط در حالت متن)'
			),
			'default' => 'image'
		),
        array(
			'id' => 'dropcap_custom_color',
			'type' => 'switcher',
            'title' => esc_html__('Enable Dropcap Custom Color', 'epcl_framework'),
            'subtitle' => esc_html__('Default: OFF', 'epcl_framework'),
			'desc' => __('This will apply your custom category color to your article Dropcaps. In case of using primary categories, that will be the applied color, example: <a href="https://prnt.sc/T8KyWriyLuus" target="_blank">https://prnt.sc/T8KyWriyLuus</a>', 'epcl_framework'),
			'default' => false
        ),
		// array(
		// 	'id' => 'main_effect_border_width',
		// 	'type' => 'slider',
		// 	'title' => esc_html__('Main title border width', 'epcl_framework'),
		// 	'subtitle' => 'Default: 14 pixels.',
		// 	'desc' => __('This will generate blank space on titles, e.g. <a href="https://prnt.sc/s2kk07" target="_blank">https://prnt.sc/s2kk07</a>', 'epcl_framework'),
		// 	'default' => '14',
		// 	'min' => '3',
		// 	'step' => '1',
        //     'max' => '30',
        //     'unit' => 'px',
        // ),
        array(
			'id' => 'dropcap_padding_top',
			'type' => 'slider',
			'title' => esc_html__('ترازبندی دراپ کاپ اصلی', 'epcl_framework'),
			'subtitle' => 'پیش فرض: 10%',
			'desc' => __('هر فونت Google سفارشی دارای ارتفاع خط مخصوص به خود در هر حرف است، این می تواند مشکل بعدی را ایجاد کند: <a href="https://prnt.sc/Af0JXMIkKW3W" target="_blank">https://prnt.sc/Af0JXMIkKW3W</a> <br> راه حل افزایش/کاهش بالشتک در بالا است.', 'epcl_framework'),
			'default' => '10',
			'min' => '0',
			'step' => '1',
            'max' => '25',
            'unit' => '%',
		),
    )
) );
